function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"6",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
	create_mini(25,5,5,329,125,77,77,1002,33550336,8);

end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"6",100,"messageinfo")
		end;	
	    BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("albert_kab",17,1);
		DarkScreen(false)
		if flags.minicomplete5 then
		    StopEmiter("Safe");
			collaps_obj(213,0,0,0,0);
			AddElement("gr",213);
			StartTimer(9999,2.5)
			setcolor(213,0,0,0,0.5,1);
			MoveObjectToTree(213); 
			Set_Cursor(41,3);
			savegame(SaveLevel())
		return; end;
	return; end;
	if sender==10 then
		flags.minicomplete5=true;
		playeffect("miniC");
		for i=1002,1009,1 do
			speciale_action(2,i,true);
		end;
				
		speciale_action(4,1009);
		speciale_action(4,1008);
		--clear_satelite_leaf("albert_kab");
		flags.minirun5=false;
	return; end;
	
	if sender==36 then
		if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("albert_kab");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"6",100,"messageinfo")
		return;end;	 	
		if id==5000 and skipping then
		if not flags.minicomplete5 then
			playeffect("skip");
			finish_mini_game(true);
			HideSkipBtn ()	
		return;end;
		return;end;
		if id==1008 then
			if flags.minicomplete5 then
				StartTimer(2100,2);
			    BlockCursor(true);
			return;end;
		return;end;
		if id==1001 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("albert_kab");
			DeleteResource("em1_btn");
			DeleteResource("em1_arrow2");
			DeleteResource("em1_arrow1");
			DeleteResource("em1_number1");
			DeleteResource("em1_number2");
			DeleteResource("em1_start");
			DeleteResource("em1_bg");	
			DeleteResource("Standing");
			DeleteResource("NoWay");
			DeleteResource("Reset");
			DeleteResource("lens");	
			DeleteResource("safe_open");						
		return;end;	
		if id==1006 then
			mini_game_reset_Skid();
		return;end;

	return;end;	
	
	if sender==6 then
		if not flags.minicomplete5  then
			check_mini_game_Skid(0);
		return;end
    return;end
end;
function mini_delete ()

end;